import {
  get,
  post
} from '@/common/utils/http-util.ts'

export default {
  paging(data: OutOrderTypes.SearchOutOrderParam) {
    return get<G.PageResult<OutOrderTypes.SearchOutOrderResult>>('/out_order/paging', data)
  },
  detail(id: string) {
    return get<OutOrderTypes.SearchOutOrderResult>('/out_order/detail', {id})
  },
  add(data: OutOrderTypes.AddOutOrderParam) {
    return post('/out_order/add', data)
  },
  modify(data: OutOrderTypes.ModifyOutOrderParam) {
    return post('/out_order/modify', data)
  },
  del(ids: string[]) {
    return post('/out_order/del', ids)
  },
}
